Skip to main content
GET
List access revocations

Authorizations

Authorization
string
header
required

Bearer token authentication. Pass your AccessOwl API token in the Authorization header as Bearer <token>.

Query Parameters

limit
integer

Maximum results to return (default: 20, max: 100)

cursor
string

Opaque cursor returned in the previous response's meta.next_cursor. Omit for the first page.

status
enum<string>

Filter by revocation status

Available options:
processing_access,
revoked,
rejected
user_id
string<uuid>

Filter by the grantee user (the user the revocation is for)

application_id
string<uuid>

Filter by application

Response

Access revocation list

Paginated list of access revocations

data
AccessRevocation · object[]
required

List of access revocations

meta
PaginationMeta · object
required

Pagination metadata

Example:
Last modified on September 12, 2026